Hi sorry im new an still trying to figure everything out. But i have an older laptop i wanted to try to install leopard onto an i cant seem to find anywhere if its even compatible with any of the OS i have been digging around an im guessing its probably not so i thought i would just ask to be sure.

acer aspire 5517
model number kawg0
processor amd Athlon 64 tf-20
4gb ram
Integrated TI Radeon™ HD 3200 graphics